#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

#include <velib/base/base.h>
#include <velib/base/ve_string.h>
#include <velib/platform/console.h>
#include <velib/types/ve_str.h>
#include <velib/utils/ve_arg.h>

int forceUpdate = veFalse;
int noTests = veFalse;

struct option consoleOptions[] =
{	
	{"force-update",	no_argument,		&forceUpdate,				1},
	{"no-tests",		no_argument,		&noTests,					1},
	{0,					0,					0,							0}
};

void consoleUsage(char* program)
{
	printf("%s - Victron Mk2 Selftest\n", program);
	printf("\n");
	printf("OPTIONS:\n");
	printf("\n");
	printf("  --force-update\n");
	printf("    Always reprgram the mk2 even when up to date.\n");
	printf("\n");
	printf("  --no-tests\n");
	printf("    Don't run mk2 selftest (needs a test setup).\n");
	printf("\n");
	pltOptionsUsage();
	printf("Victron Energy B.V.\n");
}

veBool consoleOption(int flag)
{
	switch (flag)
	{
	case 0:
		break;

	default:
		fprintf(stderr, "invalid option\n");
		return veFalse;
	}

	return veTrue;
}

veBool consoleArgs(int argc, char *argv[])
{
	VE_UNUSED(argv);

	if (argc != 0)
	{
		printf("error - no arguments are expected - missing a '-' or '--'?");
		return veFalse;
	}

	return veTrue;
}

#if 0
char const *pltProgramVersion(void)
{
	return VERSION_STRING;
}
#endif
